org.apache.catalina

## Interface SessionListener

- All Superinterfaces:
    EventListener
  All Known Subinterfaces:
    ReplicatedSessionListener
  All Known Implementing Classes:
    ClusterSingleSignOnListener, SingleSignOnListener

      public interface SessionListener
      extends EventListener

  Interface defining a listener for significant Session generated events.
  Author:
    Craig R. McClanahan

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sessionEvent(SessionEvent event)` Acknowledge the occurrence of the specified event.

- - ### Method Detail

    - #### sessionEvent

          void sessionEvent(SessionEvent event)

      Acknowledge the occurrence of the specified event.
      Parameters:
        `event` - SessionEvent that has occurred

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.